<template>
  <nav class="navbar">
    <button class="navbar_button menu-btn" id="show-menu-button">
      <i class="fas fa-bars"></i>
    </button>
    <div class="navbar_content">
      <div class="navbar_logo" @click="switchComponent('Landing')">
        <img src="/logo.png" alt="Logo">
        <h1 class="navbar_header">AI Crypto Tracker</h1>
      </div>
      <button class="navbar_button login-btn" @click="logout()">Выход</button>
    </div>
  </nav>
</template>

<script>
export default {
  /* eslint-disable */
  name: 'NavBar',
  inject: ['App'],
  methods: {
    switchComponent(component) {
      this.App.currentComponent = component;
    },
    async logout()
    {
      try {
        const response = await fetch(
            "/login/logout", {
              method: "POST"
            });

        if (response.status === 200) {
          await this.$router.push({
            path: '/login',
            force: true
          });
          await this.$router.go(1);
          window.location.reload();
        }

      } catch (error) {
        console.error(error);
      }
    }

  }
}
</script>

<style scoped>
.navbar {
  position: fixed;
  top: 0;
  z-index: 3;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: start;
  flex-direction: row;
  background-color: var(--primary-color);
}

.navbar_content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
  flex-grow: 1;
}

.navbar_logo {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 0;
  cursor: pointer;
}

.navbar_header {
  color: var(--white-color);
  margin: 0 1rem 0 0;
  padding: 0;
  border: unset;
}

.navbar_logo img {
  height: 6rem;
  margin-left: 0;
  margin-right: 1rem;
}

.navbar_button {
  margin-top: 0;
  margin-right: 3rem;
  margin-left: 3rem;
}

.login-btn {
  padding: 0.5rem 3rem;
}

.menu-btn {
  height: 50px;
  width: 50px;
}

@media (max-width: 768px) {
  .navbar_content {
    justify-content: center;
    flex-direction: column;
  }

  .navbar_logo {
    margin-bottom: 1rem;
    flex-direction: column;
  }

  .navbar_button {
    margin: 0 1rem;
  }
}
</style>
